Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class AnnotationMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.AnnotationMapper

All Implemented Interfaces:
  AnnotationConfiguration, Mapper

    public class AnnotationMapper

extends MapperWrapper
implements AnnotationConfiguration

A mapper that uses annotations to prepare the remaining mappers in the chain.

Since:
  1.3
Author:
  Jörg Schaible

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`AnnotationMapper(Mapper wrapped, ConverterRegistry converterRegistry, ClassLoader classLoader, ReflectionProvider reflectionProvider, com.thoughtworks.xstream.core.JVM jvm)` Construct an AnnotationMapper.

Method Summary
`void` | `autodetectAnnotations(boolean mode)`
`Class` | `defaultImplementationOf(Class type)`
`Converter` | `getLocalConverter(Class definedIn, String fieldName)`
`void` | `processAnnotations(Class[] initialTypes)`
`String` | `realMember(Class type, String serialized)` How a serialized member representation should be mapped back to a real member.
`String` | `serializedClass(Class type)` How a class name should be represented in its serialized form.

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, isImmutableValueType, lookupMapperOfType, realClass, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationMapper

    public AnnotationMapper(Mapper wrapped,
                            ConverterRegistry converterRegistry,
                            ClassLoader classLoader,
                            ReflectionProvider reflectionProvider,
                            com.thoughtworks.xstream.core.JVM jvm)

  Construct an AnnotationMapper.

  Parameters:
    `wrapped` - the next `Mapper` in the chain
  Since:
    1.3

Method Detail

### realMember

    public String realMember(Class type,
                             String serialized)

  Description copied from interface: `Mapper`
  How a serialized member representation should be mapped back to a real member.

  Specified by:
    `realMember` in interface `Mapper`
  Overrides:
    `realMember` in class `MapperWrapper`

### serializedClass

    public String serializedClass(Class type)

  Description copied from interface: `Mapper`
  How a class name should be represented in its serialized form.

  Specified by:
    `serializedClass` in interface `Mapper`
  Overrides:
    `serializedClass` in class `MapperWrapper`

### defaultImplementationOf

    public Class defaultImplementationOf(Class type)

  Specified by:
    `defaultImplementationOf` in interface `Mapper`
  Overrides:
    `defaultImplementationOf` in class `MapperWrapper`

### getLocalConverter

    public Converter getLocalConverter(Class definedIn,
                                       String fieldName)

  Specified by:
    `getLocalConverter` in interface `Mapper`
  Overrides:
    `getLocalConverter` in class `MapperWrapper`

### autodetectAnnotations

    public void autodetectAnnotations(boolean mode)

  Specified by:
    `autodetectAnnotations` in interface `AnnotationConfiguration`

### processAnnotations

    public void processAnnotations(Class[] initialTypes)

  Specified by:
    `processAnnotations` in interface `AnnotationConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.